curl --request POST \
--url https://api.parallellabs.app/api/v0/monitors \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"keywords": [
"<string>"
],
"platforms": [
"<string>"
],
"filters": {},
"aiFilterEnabled": true,
"notifyEmail": true,
"notifyInApp": true,
"notifyUserIds": [
"<string>"
],
"syncToListId": "<string>"
}
'import requests
url = "https://api.parallellabs.app/api/v0/monitors"
payload = {
"name": "<string>",
"keywords": ["<string>"],
"platforms": ["<string>"],
"filters": {},
"aiFilterEnabled": True,
"notifyEmail": True,
"notifyInApp": True,
"notifyUserIds": ["<string>"],
"syncToListId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
keywords: ['<string>'],
platforms: ['<string>'],
filters: {},
aiFilterEnabled: true,
notifyEmail: true,
notifyInApp: true,
notifyUserIds: ['<string>'],
syncToListId: '<string>'
})
};
fetch('https://api.parallellabs.app/api/v0/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"monitor": {
"id": "<string>",
"companyId": "<string>",
"name": "<string>",
"keywords": [
"<string>"
],
"platforms": [
"<string>"
],
"filters": {},
"aiFilterEnabled": true,
"notifyEmail": true,
"notifyInApp": true,
"notifyUserIds": [
"<string>"
],
"syncToListId": "<string>",
"status": "<string>",
"lastRunAt": "<string>",
"totalMentionsFound": 123,
"created_date": "<string>",
"updated_date": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Create a new keyword monitor.
Creates a monitor to track specified keywords across social media platforms like Reddit, Hacker News, LinkedIn, X (Twitter), and Quora. When matching posts are found, you’ll receive notifications and can generate AI-powered reply suggestions.
Authorizations
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Body
Monitor configuration
Request body for creating a new keyword monitor
Display name for the monitor
List of keywords to track across platforms
Platforms to monitor: reddit, hackernews, linkedin, x, quora, chatgpt, google_ai
Platform-specific filters: subreddits, hnTags, chatgptPrompt, aiFilterInstructions, and negativeKeywords (list of terms that exclude a post when matched as whole words)
Use AI to filter relevance (default: true)
Send email notifications for new mentions (default: true)
Send in-app notifications (default: true)
List of user IDs to receive notifications
Smart list ID to sync mentions to automatically

